---
title: 'math:min()'
slug: Web/EXSLT/math/min
tags:
  - EXSLT
  - NeedsCompatTable
  - NeedsSpecTable
  - Reference
---
<div>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}{{Fx_minversion_header(3)}}</div>

<p><code>math:min()</code> returns the minimum value of a node-set.</p>

<p>To compute the minimum value of the node-set, the node set is sorted into ascending order as it would be using <code><a href="en/XSLT/sort">xsl:sort()</a></code> with a data type of <code>number</code>. The minimum value is then the first node in the sorted list, converted into a number.</p>

<p>{{Note()}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval notranslate">math:min(<em>nodeSet</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><em>nodeSet</em></code></dt>
 <dd>The node-set whose lowest value is to be returned.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A result tree fragment representing the lowest valued node's numeric value as a string.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/regexp/functions/min/index.html">EXSLT - MATH:MIN</a></p>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("xslt.exslt.math.min")}}</p>
